Bug 1123933 - CLI didn't seem to work until we moved/removed ~/.cache/apipie_bindings
Summary: CLI didn't seem to work until we moved/removed ~/.cache/apipie_bindings
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Adam Price
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 16:38 UTC by David Davis
Modified: 2017-01-06 19:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-06 19:19:22 UTC


Attachments (Terms of Use)

Description David Davis 2014-07-28 16:38:17 UTC
From this comment:

https://bugzilla.redhat.com/show_bug.cgi?id=1100311#c18

We couldn't get the CLI to work until we ran:

mv ~/.cache/apipie_bindings ~/.cache/apipie_bindings~backup

Comment 1 RHEL Product and Program Management 2014-07-28 17:03:47 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Brad Buckingham 2014-07-29 14:53:25 UTC
Suresh,

Are there any additional details that you can provide to facilitate reproducing this issue?

E.g from https://bugzilla.redhat.com/show_bug.cgi?id=1100311#c18 , was this an 'update' of the CLI, new install...etc.

Comment 4 sthirugn@redhat.com 2014-07-29 16:02:40 UTC
There may be many scenarios in which you can see this error.  But I have shown below - an easy reproducer. (My guess is that it fails after any command which displays the progress in CLI - see in my example below)

My box is upgraded from GA Snap 1 to Snap 2. I followed these steps:
1. Installed GA Snap 1
2. Did regular testing
3. Added repo link for Snap 2
4. # katello-service stop
5. # yum upgrade
6. # katello-service start

Then tried the following:
# hammer -u admin -p changeme shell
Welcome to the hammer interactive shell

hammer> subscription refresh-manifest --organization='brandneworg'
[..............................................................................] [100%]
Task f0d795e3-bc98-49f7-88e2-3067b0519d6e: success

hammer> subscription refresh-manifest --organization='brandneworg'
Manifest refresh failed:
  Error: The server does not support such operation.

hammer> exit

# mv ~/.cache/apipie_bindings ~/.cache/apipie_bindings~backup

# hammer -u admin -p changeme shell
Welcome to the hammer interactive shell

hammer> subscription refresh-manifest --organization='brandneworg'
[..............................................................................] [100%]
Task 9d9cfd58-0ea6-42e9-9fd6-9f9a27865357: success

hammer> subscription refresh-manifest --organization='brandneworg'
Manifest refresh failed:
  Error: The server does not support such operation.

Comment 5 sthirugn@redhat.com 2014-07-29 16:11:02 UTC
Adding to my Comment 4: 

Not sure if this happens only with shell though.  The following works fine:

# hammer -u admin -p changeme subscription refresh-manifest --organization='brandneworg'
[..............................................................................] [100%]
Task 116fdfd2-b0ed-4f64-8aab-1a0675a83135: success

# hammer -u admin -p changeme subscription refresh-manifest --organization='brandneworg'
[..............................................................................] [100%]
Task 9c7a8393-fe0b-4e4b-97d8-ed63242a988a: success

# hammer -u admin -p changeme subscription refresh-manifest --organization='brandneworg'
[..............................................................................] [100%]
Task fc5a97d2-d3f2-4a19-966a-3e6be6576dcf: success

# hammer -u admin -p changeme subscription refresh-manifest --organization='brandneworg'
[..............................................................................] [100%]
Task 57cfbd58-8e3b-42f7-8c0c-c5e3f3760832: success

Comment 6 Bryan Kearney 2017-01-06 19:19:22 UTC
This is an older bug which I do not envision being fixed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.


Note You need to log in before you can comment on or make changes to this bug.